GNU bug report logs - #47072
28.0.50; Package package can't be reloaded anymore

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Julian Scheid <jscheid@HIDDEN>; Keywords: confirmed; dated Thu, 11 Mar 2021 15:24:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 47072 <at> debbugs.gnu.org:


Received: (at 47072) by debbugs.gnu.org; 22 Apr 2021 13:35:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 22 09:35:25 2021
Received: from localhost ([127.0.0.1]:33184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZZUK-0006w5-Ct
	for submit <at> debbugs.gnu.org; Thu, 22 Apr 2021 09:35:24 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:5026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lZZUE-0006vm-N5
 for 47072 <at> debbugs.gnu.org; Thu, 22 Apr 2021 09:35:22 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 6B9511007EE;
 Thu, 22 Apr 2021 09:35:13 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 222F71002F2;
 Thu, 22 Apr 2021 09:35:12 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1619098512;
 bh=qe6zHT/dCeQzwrYzANFlNdu5jHjfFxZQOsJqm79ss8A=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=X9YU3cdbzP9PKiKuaHu2UELgWahaXBJm+S9+r+3m9J1qmDjW247BWC1Xk4u3ihnFy
 g9Iv7NFXVQ+osYzHjo9yD2a06VNOAOwgGPuyvJtf23FEy4DmUKSNwX19UEwAsfPyhG
 eKolVCuFthTQAWL+RkOtnri4TFoEf1Jn5KWioin9kM+RWESS1nRX0O/qGslfEb0Lqz
 XOu8y5zCj4D6PZky1d8WPmoeu0vSRz2ej0toT+gH9tSvYFNL8RHvbQRlvFcTP1bhY2
 ZKsxuRc3Tl6CquY/QO6pMg8J0HAYITtZrRxYTRf8rGhV3Xet44F+pnnFfE8BAiYM//
 ORrtuphij7Ijg==
Received: from alfajor (104-222-126-84.cpe.teksavvy.com [104.222.126.84])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 1896212023B;
 Thu, 22 Apr 2021 09:35:11 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47072: 28.0.50; Package package can't be reloaded anymore
Message-ID: <jwvy2daigx1.fsf-monnier+emacs@HIDDEN>
References: <m25z1yrldc.fsf@HIDDEN>
 <CADwFkm=7a076SZJWunihKoat09d-B4L_QiO2Bm15sSN9_6H51g@HIDDEN>
 <83lf9aq004.fsf@HIDDEN>
Date: Thu, 22 Apr 2021 09:35:10 -0400
In-Reply-To: <83lf9aq004.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 22 Apr
 2021 09:58:03 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.029 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47072
Cc: jscheid@HIDDEN, Stefan Kangas <stefan@HIDDEN>,
 47072 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> I can confirm that the above recipe works using 27.2 but not with
>> 28.0.50.
>
> Stefan Monnier tweaked the code there recently, perhaps that's the
> reason.  Stefan, can you take a look, please?

I pushed a patch to `master` which should fix this problem (it actually
affected every file that uses `custom-initialize-delay`).

Julian, can you confirm that it fixes the problem for you?


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47072; Package emacs. Full text available.

Message received at 47072 <at> debbugs.gnu.org:


Received: (at 47072) by debbugs.gnu.org; 22 Apr 2021 06:58:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 22 02:58:21 2021
Received: from localhost ([127.0.0.1]:60585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZTI5-0006lK-MS
	for submit <at> debbugs.gnu.org; Thu, 22 Apr 2021 02:58:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lZTI4-0006l7-4S
 for 47072 <at> debbugs.gnu.org; Thu, 22 Apr 2021 02:58:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44234)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lZTHy-0001ki-3R; Thu, 22 Apr 2021 02:58:14 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3007
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lZTHw-00043H-Rw; Thu, 22 Apr 2021 02:58:13 -0400
Date: Thu, 22 Apr 2021 09:58:03 +0300
Message-Id: <83lf9aq004.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <CADwFkm=7a076SZJWunihKoat09d-B4L_QiO2Bm15sSN9_6H51g@HIDDEN>
 (message from Stefan Kangas on Wed, 21 Apr 2021 15:28:20 -0700)
Subject: Re: bug#47072: 28.0.50; Package package can't be reloaded anymore
References: <m25z1yrldc.fsf@HIDDEN>
 <CADwFkm=7a076SZJWunihKoat09d-B4L_QiO2Bm15sSN9_6H51g@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47072
Cc: 47072 <at> debbugs.gnu.org, jscheid@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Wed, 21 Apr 2021 15:28:20 -0700
> Cc: 47072 <at> debbugs.gnu.org
> 
> Julian Scheid <jscheid@HIDDEN> writes:
> 
> > This used to work not long ago:
> >
> > emacs -Q --batch --eval "(progn (require 'package) (unload-feature 'package) (require 'package))"
> >
> > Now it breaks with:
> >
> > Debugger entered--Lisp error: (void-variable package-user-dir)
> >   require(package)
> >   (progn (require 'package) (unload-feature 'package) (require 'package))
> >   eval((progn (require 'package) (unload-feature 'package) (require 'package)) t)
> >   command-line-1(("--eval" "(progn (require 'package) (unload-feature 'package..."))
> >   command-line()
> >   normal-top-level()
> >
> > Which in turn breaks my fix for
> > https://github.com/alphapapa/makem.sh/issues/31
> >
> > If this is something that can't/won't be fixed, could you recommend a
> > workaround?
> 
> I can confirm that the above recipe works using 27.2 but not with
> 28.0.50.

Stefan Monnier tweaked the code there recently, perhaps that's the
reason.  Stefan, can you take a look, please?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47072; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47072 <at> debbugs.gnu.org:


Received: (at 47072) by debbugs.gnu.org; 21 Apr 2021 22:28:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 18:28:32 2021
Received: from localhost ([127.0.0.1]:60028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZLKf-0000On-0k
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 18:28:32 -0400
Received: from mail-pg1-f176.google.com ([209.85.215.176]:34618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lZLKc-0000OA-NJ
 for 47072 <at> debbugs.gnu.org; Wed, 21 Apr 2021 18:28:27 -0400
Received: by mail-pg1-f176.google.com with SMTP id z16so31312884pga.1
 for <47072 <at> debbugs.gnu.org>; Wed, 21 Apr 2021 15:28:26 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=FOzG61wHWdr5ZZsdAlg15397kBn2aoC9yHIX0HQDcRA=;
 b=JLuhcMLS/nIKVApSsnfRWrX/T5hF++lhr2mH0OdKri6bleHlw6z/YcK3g23XD65Vr2
 H1FgXUbfJ+gC+sP5E46dFD3bhiiS6HHf7NU3HFpo0M4RKTQWV1bgmLSnL+6T/BupoEp+
 +5ZNQEMBbf8QrOQ7v2Q5Jxs1hoBZz8CktbYdK54WaxqM8y0qHZewUUQlbsrDYNXDgI6V
 +uY76UkyrL3dGw/EOje6MVW5amjCFzdxTD1xume1s23HsD3zWE+u/FmlyWmp9IT9OZDy
 WjJSfZRnK/RSvdvTMkIZJFuRkiqeZB4cKgJhvbVmB+rOaV82H+rdPN+/fnrEZB8rBPmu
 iyRQ==
X-Gm-Message-State: AOAM533BfdhG1YoxA+Fx2uKGiIZHoN9s9wE7t6XhfKts5v8bkFDOToxW
 31hmhhfWziPQuCWKSdIJ6jxa0qsom4ppbtPRgmE=
X-Google-Smtp-Source: ABdhPJxz69nQI9VD6nEHbW51yejUHFv9iM+kROQnv8IcMw4M3pwN6hQoeqp4PIlcYZ3WRgRbi3vlwoqt5kUKEfF3FSI=
X-Received: by 2002:a63:5b5c:: with SMTP id l28mr329140pgm.363.1619044101028; 
 Wed, 21 Apr 2021 15:28:21 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 21 Apr 2021 15:28:20 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <m25z1yrldc.fsf@HIDDEN> (Julian Scheid's message of
 "Thu, 11 Mar 2021 11:16:36 +0000")
References: <m25z1yrldc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Wed, 21 Apr 2021 15:28:20 -0700
Message-ID: <CADwFkm=7a076SZJWunihKoat09d-B4L_QiO2Bm15sSN9_6H51g@HIDDEN>
Subject: Re: bug#47072: 28.0.50; Package package can't be reloaded anymore
To: Julian Scheid <jscheid@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 47072
Cc: 47072 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

tags 47072 + confirmed
thanks

Julian Scheid <jscheid@HIDDEN> writes:

> This used to work not long ago:
>
> emacs -Q --batch --eval "(progn (require 'package) (unload-feature 'package) (require 'package))"
>
> Now it breaks with:
>
> Debugger entered--Lisp error: (void-variable package-user-dir)
>   require(package)
>   (progn (require 'package) (unload-feature 'package) (require 'package))
>   eval((progn (require 'package) (unload-feature 'package) (require 'package)) t)
>   command-line-1(("--eval" "(progn (require 'package) (unload-feature 'package..."))
>   command-line()
>   normal-top-level()
>
> Which in turn breaks my fix for
> https://github.com/alphapapa/makem.sh/issues/31
>
> If this is something that can't/won't be fixed, could you recommend a
> workaround?

I can confirm that the above recipe works using 27.2 but not with
28.0.50.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47072; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Mar 2021 15:24:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 11 10:24:01 2021
Received: from localhost ([127.0.0.1]:54652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKNAO-0002EL-I1
	for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 10:24:01 -0500
Received: from lists.gnu.org ([209.51.188.17]:59232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jscheid@HIDDEN>) id 1lKJJH-0008Jd-R2
 for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 06:16:56 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:59438)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jscheid@HIDDEN>)
 id 1lKJJH-0006gP-Mb
 for bug-gnu-emacs@HIDDEN; Thu, 11 Mar 2021 06:16:55 -0500
Received: from mail2.protonmail.ch ([185.70.40.22]:29462)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jscheid@HIDDEN>)
 id 1lKJJE-0007o2-Fc
 for bug-gnu-emacs@HIDDEN; Thu, 11 Mar 2021 06:16:55 -0500
Date: Thu, 11 Mar 2021 11:16:36 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1615461407;
 bh=hAr9GRJIVl8JlASonXZdegAoL28kjZxTZOWJWrqi1pQ=;
 h=Date:To:From:Reply-To:Subject:From;
 b=bJV5RMJLiuJxCAwgxv4KBP53hzgrpLHEZvJxi6rRMgZXsWsysA6h1ie3jH38ct2Yp
 lz+HonQR1Fu1elvZSz1KZN6814d4kjvPkxFRdPH+u4H8DfudxUuie26AGBRVgtnynh
 L6+9znuSWQSh4HWd7tITlyKScDavn1VayEkfkBy0=
To: bug-gnu-emacs@HIDDEN
From: Julian Scheid <jscheid@HIDDEN>
Subject: 28.0.50; Package package can't be reloaded anymore
Message-ID: <m25z1yrldc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.22; envelope-from=jscheid@HIDDEN;
 helo=mail2.protonmail.ch
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 11 Mar 2021 10:23:59 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Julian Scheid <jscheid@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This used to work not long ago:

emacs -Q --batch --eval "(progn (require 'package) (unload-feature 'package=
) (require 'package))"

Now it breaks with:

Debugger entered--Lisp error: (void-variable package-user-dir)
  require(package)
  (progn (require 'package) (unload-feature 'package) (require 'package))
  eval((progn (require 'package) (unload-feature 'package) (require 'packag=
e)) t)
  command-line-1(("--eval" "(progn (require 'package) (unload-feature 'pack=
age..."))
  command-line()
  normal-top-level()

Which in turn breaks my fix for
https://github.com/alphapapa/makem.sh/issues/31

If this is something that can't/won't be fixed, could you recommend a
workaround?

In GNU Emacs 28.0.50 (build 14, x86_64-apple-darwin19.6.0, NS appkit-1894.6=
0 Version 10.15.7 (Build 19H524))
 of 2021-03-11 built on foo
Repository revision: 053abfe6e9a35a76b7f0af866a6336fb35d959f9
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7

Configured features:
ACL DBUS GIF GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NOTIFY KQUEUE
NS PDUMPER PNG THREADS TIFF TOOLKIT_SCROLL_BARS XIM ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  bug-reference-prog-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  auto-revert-mode: t
  shell-dirtrack-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  delete-selection-mode: t
  savehist-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(bug-reference eieio-opt speedbar ezimage dframe shortdoc loadhist
sh-script smie help-fns radix-tree misearch multi-isearch gnus-cite
flyspell ispell gnus-async qp gnus-ml nndraft nnmh nnfolder utf-7
executable gnus-agent gnus-srvr gnus-score score-mode nnvirtual
gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime dig nntp
gnus-cache gnus-sum shr kinsoku svg dom gnus-group gnus-undo
gnus-start gnus-dbus dbus xml gnus-cloud nnimap nnmail mail-source
utf7 netrc nnoo gnus-spec gnus-int gnus-range gnus-win gnus nnheader
gnutls mail-extr vc-git vc-dispatcher pp shadow emacsbug flycheck-cask
smtpmail sendmail lsp-ui lsp-ui-flycheck lsp-ui-doc goto-addr
lsp-ui-imenu lsp-ui-peek lsp-ui-sideline face-remap lsp-ui-util
string-inflection lsp-mode lsp-protocol es-mode request js cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs yasnippet xref project tree-widget wid-edit spinner
pcase network-stream nsm markdown-mode edit-indirect noutline outline
lv inline ht ewoc compile bindat multiple-cursors
mc-separate-operations rectangular-region-mode mc-mark-pop
mc-edit-lines mc-hide-unmatched-lines-mode mc-mark-more thingatpt
mc-cycle-cursors multiple-cursors-core rect magit-submodule
magit-obsolete magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs
magit-status magit magit-repos magit-apply magit-wip magit-log
which-func imenu magit-diff smerge-mode diff diff-mode git-commit
log-edit easy-mmode message rmc puny dired dired-loaddefs rfc822 mml
mml-sec gnus-util rmail rmail-loaddefs text-property-search mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils mailheader
pcvs-util add-log magit-core magit-autorevert autorevert filenotify
magit-margin magit-transient magit-process with-editor magit-mode
transient cl-extra magit-git magit-section magit-utils crm server
tramp tramp-loaddefs trampver tramp-integration files-x tramp-compat
shell pcomplete parse-time iso8601 time-date ls-lisp format-spec
flycheck find-func help-mode web-mode advice disp-table epa-file epa
derived epg epg-config edmacro kmacro delsel ido savehist coffee-mode
comint ansi-color ring f dash s exec-path-from-shell finder-inf
sanityinc-tomorrow-night-theme color-theme-sanityinc-tomorrow color rx
info package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/ns-win ns-win ucs-normalize mule-util term/common-win tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar
menu-bar rfn-eshadow isearch easymenu timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice button loaddefs faces
cus-face macroexp files window text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind kqueue cocoa ns lcms2 multi-tty
make-network-process emacs)

Memory information:
((conses 16 540190 152740)
 (symbols 48 44238 117)
 (strings 32 178016 7085)
 (string-bytes 1 5463424)
 (vectors 16 79009)
 (vector-slots 8 1583591 177291)
 (floats 8 476 539)
 (intervals 56 5208 175)
 (buffers 992 27))





Acknowledgement sent to Julian Scheid <jscheid@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47072; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 22 Apr 2021 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.